> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ar record collection activity

> Ar record collection activity

### Request body

`CreateArCollectionActivityRequest`

<ParamField body="activity_type" type="string" required>
  One of `dunning_letter_sent`, `phone_call`, `email`, `in_person_visit`,
  `promise_to_pay`, `payment_plan_created`, `sent_to_collections`,
  `write_off_approved`, `dispute_logged`, `dispute_resolved`, `note`.
</ParamField>

<ParamField body="contact_method" type="string,null" />

<ParamField body="contact_result" type="string,null" />

<ParamField body="dunning_letter_type" type="string,null">
  One of `reminder_1`, `reminder_2`, `reminder_3`, `demand_letter`, `collection_notice`.
</ParamField>

<ParamField body="invoice_id" type="string" required />

<ParamField body="notes" type="string,null" />

<ParamField body="performed_by" type="string,null" />

<ParamField body="promise_to_pay_amount" type="string,null">
  Decimal promised amount as a string.
</ParamField>

<ParamField body="promise_to_pay_date" type="string,null">
  RFC 3339 promised payment date.
</ParamField>

### Responses

<ResponseField name="201" type="ArCollectionActivityResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/ar/collection-activities' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "activity_type": "string",
    "contact_method": null,
    "contact_result": null,
    "dunning_letter_type": null,
    "invoice_id": "string",
    "notes": null,
    "performed_by": null,
    "promise_to_pay_amount": null,
    "promise_to_pay_date": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "activity_type": "string",
    "contact_method": null,
    "contact_result": null,
    "created_at": "string",
    "customer_id": "string",
    "dunning_letter_type": null,
    "id": "string",
    "invoice_id": "string",
    "notes": null,
    "performed_by": null,
    "promise_to_pay_amount": null,
    "promise_to_pay_date": null
  }
  ```
</ResponseExample>
